curl --request GET \
--url https://{api}.subotiz.com/api/v1/prices \
--header 'Authorization: Bearer <token>' \
--header 'Request-Id: <request-id>'const options = {
method: 'GET',
headers: {'Request-Id': '<request-id>', Authorization: 'Bearer <token>'}
};
fetch('https://{api}.subotiz.com/api/v1/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{api}.subotiz.com/api/v1/prices"
headers = {
"Request-Id": "<request-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
{
"code": "<string>",
"message": "<string>",
"data": {
"has_more": true,
"list": [
{
"id": "<string>",
"price_name": "<string>",
"price_alias": "<string>",
"product_id": "<string>",
"merchant_id": "<string>",
"currency": "<string>",
"billing_type": "<string>",
"price_val": "<string>",
"description": "<string>",
"price_plan": {
"price_plan_id": "<string>",
"plan_name": "<string>",
"billing_cycle_unit": "<string>",
"billing_cycle_count": 123,
"is_infinite": true,
"base_price_val": "<string>",
"plan_description": "<string>",
"price_plan_tiers": [
{
"period_count": 123,
"period_unit": "<string>",
"original_price": "<string>",
"due_price": "<string>",
"discount_type": "<string>",
"discount_value": "<string>"
}
]
},
"biz_status": "<string>",
"has_trial": true,
"trial_period": {
"trial_period_unit": "<string>",
"trial_period_count": 123
},
"created_at": "<string>",
"price_type": "<string>",
"usage_amount": "<string>",
"usage_unit": "<string>",
"model_type": "<string>",
"billing_threshold": "<string>",
"trial_type": 123,
"trial_amount": "<string>",
"metadata": {},
"payment_timing": "<string>",
"billing_dimension": "<string>",
"quantity_tier_type": "<string>",
"price_tier_type": "<string>",
"usage_threshold": "<string>",
"usage_unit_price": "<string>",
"quantity_unit": "<string>",
"quantity_tiers": [
{
"quantity_min": "<string>",
"quantity_max": "<string>",
"unit_price": "<string>",
"flat_amount": "<string>"
}
],
"usage_tiers": [
{
"usage_min": "<string>",
"usage_max": "<string>",
"unit_price": "<string>",
"flat_amount": "<string>"
}
]
}
]
}
}List Pricing
List Pricing
Authorizations
Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}
Headers
The unique identifier of the request
Query Parameters
Filter by price IDs. Array size limit: [0,100]
Filter status
- draft: Draft
- active: Active
- frozen: Inactive
Cursor for pagination. starting_after is the object ID that defines your position in the list. For example, if you want to get the next page, you can use the last object's ID as the parameter value after getting the object list for the first time. Cannot be used together with ending_before
Cursor for pagination. ending_before is the object ID that defines your position in the list. For example, if you want to get the previous page, you can use the first object's ID as the parameter value after getting the object list for the first time. Cannot be used together with starting_after
Pagination parameter, interface defaults to sorting by creation time in descending order. Limit: [1, 100]
Filter by product ID.
Minimum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')
Minimum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')
Maximum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')
Maximum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')
Filter by price structure. One of: flat_price | package_price | tiers_price (based_on_usage kept for legacy read-only)
Filter by payment timing: prepaid | postpaid
Filter by billing dimension: quantity | usage | mixed
Was this page helpful?